# MSP::CCS::EllipsoidParameters Class Reference

`#include <EllipsoidParameters.h>`

List of all members.

## Public Member Functions

| EllipsoidParameters ()
| EllipsoidParameters (double __semiMajorAxis, double __flattening, char *__ellipsoidCode)
| EllipsoidParameters (const EllipsoidParameters &ecp)
| ~EllipsoidParameters ()
EllipsoidParameters & | operator= (const EllipsoidParameters &ecp)
void | setSemiMajorAxis (double __semiMajorAxis)
void | setFlattening (double __flattening)
void | setEllipsoidCode (char __ellipsoidCode[4])
double | semiMajorAxis () const
double | flattening () const
char * | ellipsoidCode ()

## Detailed Description

Definition at line 13 of file EllipsoidParameters.h.

## Constructor & Destructor Documentation

EllipsoidParameters::EllipsoidParameters | ( |  | ) |

Definition at line 10 of file EllipsoidParameters.cpp.

EllipsoidParameters::EllipsoidParameters | ( | double | __semiMajorAxis,
|  | double | __flattening,
|  | char * | __ellipsoidCode |
| ) |  |  |

Definition at line 18 of file EllipsoidParameters.cpp.

EllipsoidParameters::EllipsoidParameters | ( | const EllipsoidParameters & | ecp | ) |

Definition at line 27 of file EllipsoidParameters.cpp.

EllipsoidParameters::~EllipsoidParameters | ( |  | ) |

Definition at line 36 of file EllipsoidParameters.cpp.

## Member Function Documentation

char * EllipsoidParameters::ellipsoidCode | ( |  | ) |

Definition at line 89 of file EllipsoidParameters.cpp.

double EllipsoidParameters::flattening | ( |  | ) | const

Definition at line 83 of file EllipsoidParameters.cpp.

EllipsoidParameters & EllipsoidParameters::operator= | ( | const EllipsoidParameters & | ecp | ) |

Definition at line 44 of file EllipsoidParameters.cpp.

double EllipsoidParameters::semiMajorAxis | ( |  | ) | const

Definition at line 77 of file EllipsoidParameters.cpp.

void EllipsoidParameters::setEllipsoidCode | ( | char | __ellipsoidCode[4] | ) |

Definition at line 70 of file EllipsoidParameters.cpp.

void EllipsoidParameters::setFlattening | ( | double | __flattening | ) |

Definition at line 64 of file EllipsoidParameters.cpp.

void EllipsoidParameters::setSemiMajorAxis | ( | double | __semiMajorAxis | ) |

Definition at line 58 of file EllipsoidParameters.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/EllipsoidParameters.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/EllipsoidParameters.cpp